import 'package:dio/dio.dart';
import 'package:mofa_core/util/constants/m88.dart';
import 'package:mofa_core/util/constants/base_constants.dart';

class NetworkManager {
  static NetworkManager _networkManager;
  Dio dio;
  BaseProjectConstants callingSource;

  factory NetworkManager(String project) {
    if (_networkManager == null) {
      _networkManager = new NetworkManager._internal(project);
    }
    return _networkManager;
  }

  NetworkManager._internal(String project) {
    dio = Dio();
    switch(project) {
      case "m88":
        callingSource = M88();
        break;
    }
    dio.options.baseUrl = callingSource.getBaseUrl();

  }

  Future<Response> login() async {
    Response response = await dio.post(callingSource.getAuthenUrl());
    return response;
  }

}